AsterNet Class Library (Sandcastle documentation)

| Originate Class

[Missing <summary> documentation for "T:AsterNET.Manager.Originate"]

Inheritance Hierarchy
System
Object
AsterNET.Manager
Originate

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class Originate

    Public Class Originate

    public ref class Originate

    type Originate =  class end

The Originate type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| Originate | Initializes a new instance of the Originate class

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| GetVariable | Gets a variable on the originated call. Replaces any existing variable with the same name.
| GetVariables | Get the variables dictionary to set on the originated call.
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| SetVariable | Sets a variable dictionary on the originated call. Replaces any existing variable with the same name.
| SetVariables | Set the variables dictionary to set on the originated call.
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Properties

| Name | Description
--- | --- | ---
| Account | Get/Set the account code to use for the originated call. The account code is included in the call detail record generated for this call and will be used for billing.
| Application | Get/Set the name of the application to connect to.
| CallerId | Get/Set the caller id to set on the outgoing channel.
| Channel | Get/Set the name of the channel to connect to the outgoing call. This property is required.
| Context | Get/Set the name of the context of the extension to connect to. If you set the context you also have to set the exten and priority properties.
| Data | Get/Set the parameters to pass to the application.
| Exten | Get/Set the extension to connect to. If you set the extension you also have to set the context and priority properties.
| Priority | Get/Set the priority of the extension to connect to. If you set the priority you also have to set the context and exten properties.
| Timeout | Get/Set the timeout for the origination (in seconds) for the origination. The channel must be answered within this time, otherwise the origination is considered to have failed and an OriginateFailureEvent is generated. If not set, a default value of 30 seconds.

Top
See Also

#### Reference

AsterNET.Manager Namespace